com.fasterxml.jackson.databind.ext

## Class CoreXMLDeserializers

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.Deserializers.Base
  - - com.fasterxml.jackson.databind.ext.CoreXMLDeserializers

All Implemented Interfaces:
  Deserializers

    public class CoreXMLDeserializers
    extends Deserializers.Base

Container deserializers that handle "core" XML types: ones included in standard JDK 1.5. Types are directly needed by JAXB, but may be unavailable on some limited platforms; hence separate out from basic deserializer factory.

### Nested Class Summary

Nested Classes
`static class` `CoreXMLDeserializers.Std` Combo-deserializer that supports deserialization of somewhat optional javax.xml types `QName`, `Duration` and `XMLGregorianCalendar`.

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.deser.Deserializers

`Deserializers.Base`

### Field Summary

Fields
`protected static QName` `EMPTY_QNAME`
`protected static int` `TYPE_DURATION`
`protected static int` `TYPE_G_CALENDAR`
`protected static int` `TYPE_QNAME`

### Constructor Summary

Constructors
Constructor and Description
`CoreXMLDeserializers()`

### Method Summary

All Methods Instance Methods Concrete Methods
`JsonDeserializer<?>` `findBeanDeserializer(JavaType type, DeserializationConfig config, BeanDescription beanDesc)` Method called to locate deserializer for specified value type which does not belong to any other category (not an Enum, Collection, Map, Array, reference value or tree node)
`boolean` `hasDeserializerFor(DeserializationConfig config, Class<?> valueType)` Method that may be called to check whether this deserializer provider would provide deserializer for values of given type, without attempting to construct (and possibly fail in some cases) actual deserializer.

### Methods inherited from class com.fasterxml.jackson.databind.deser.Deserializers.Base

`findArrayDeserializer, findCollectionDeserializer, findCollectionLikeDeserializer, findEnumDeserializer, findMapDeserializer, findMapLikeDeserializer, findReferenceDeserializer, findTreeNodeDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_QNAME

    protected static final QName EMPTY_QNAME

#### TYPE_DURATION

    protected static final int TYPE_DURATION

See Also:
  Constant Field Values

#### TYPE_G_CALENDAR

    protected static final int TYPE_G_CALENDAR

See Also:
  Constant Field Values

#### TYPE_QNAME

    protected static final int TYPE_QNAME

See Also:
  Constant Field Values

### Constructor Detail

#### CoreXMLDeserializers

    public CoreXMLDeserializers()

### Method Detail

#### findBeanDeserializer

    public JsonDeserializer<?> findBeanDeserializer(JavaType type,
                                                    DeserializationConfig config,
                                                    BeanDescription beanDesc)

Description copied from interface: `Deserializers`
Method called to locate deserializer for specified value type which does not belong to any other category (not an Enum, Collection, Map, Array, reference value or tree node)

Specified by:
  `findBeanDeserializer` in interface `Deserializers`
Overrides:
  `findBeanDeserializer` in class `Deserializers.Base`
Parameters:
  `type` - Bean type to deserialize
  `config` - Configuration in effect
  `beanDesc` - Definition of the enumeration type that contains class annotations and other information typically needed for building deserializers
Returns:
  Deserializer to use for the type; or null if this provider does not know how to construct it

#### hasDeserializerFor

    public boolean hasDeserializerFor(DeserializationConfig config,
                                      Class<?> valueType)

Description copied from interface: `Deserializers`
Method that may be called to check whether this deserializer provider would provide deserializer for values of given type, without attempting to construct (and possibly fail in some cases) actual deserializer. Mostly needed to support validation of polymorphic type ids.

Note: implementations should take care NOT to claim supporting types that they do not recognize as this could to incorrect assumption of safe support by caller.

Method added in Jackson 2.13 now that Java 8 default implementations are available for use with interface definitions.